
public class Queue<Q> {
	private Node<Q> start;

	private int size;

	public Queue() {												//Konstruktor f¸r Queue
		this.start = null;
		this.size = 0;
	}

	public boolean isEmpty() {										// Klasse fragt ab ob die liste leer ist
			if (size == 0) {										// wenn l‰nge der liste 0 ist
				
				return true;										// gibt true zur¸ck weil es boolean ist
			} else {												// wenn oberes nicht erf¸llt wird
				
			return false;											// gibt false zur¸ck wegen boolean
		}
	}

	public void enqueue(Q wert) {									// siehe Kommentare bei LinkedList Methode add	
		this.size++;

		if (this.start == null) {								
			this.start = new Node<Q>(wert);
		} else {
			Node<Q> current = this.start;
			while (current.next != null) {
				current = current.next;
			}
			current.next = new Node<Q>(wert);
		}
	}

	public Q dequeue() {								//siehe Stack Mehode pop
		Node<Q> current = this.start;
		if (isEmpty() == true) {
			return null;
		} else {
			Q I =  current.wert; 
			this.start = current.next;
			  return I; 
		}
    
	}

	public Q front() {														//siehe Stack Methode top
		Node<Q> current = this.start;
		if (isEmpty() == true) {
			return null;
		} else {
			Q I = current.wert; 
			return I ; 
		}
	}

	public Node<Q> getStart() {											//getter Methode f¸rStart
		return this.start;
	}

	public int size() {													//getter Methode f¸r grˆﬂe
		return this.size;	
	}

}